package gmenu

type Config struct {
	PrintVersion bool

	DataDirs string

	HideGenericNames bool
	HideAppDetails   bool

	terminalCommand string
	browserCommand  string
}

func (c *Config) TerminalCommand() string {
	if c.terminalCommand == "" {
		c.terminalCommand = "i3-sensible-terminal"
	}

	return c.terminalCommand
}

func (c *Config) BrowserCommand() string {
	if c.browserCommand == "" {
		c.browserCommand = "xdg-open"
	}

	return c.browserCommand
}

const VersionInfo = `%s - Desktop application launcher - v%s
https://git.sr.ht/~tslocum/gmenu
The MIT License (MIT)
Copyright (c) 2019 Trevor Slocum <trevor@rocketnine.space>
`

var Version = "0.0.0"
